Subject: [core] FW: New Version Notification for draft-ietf-core-interfaces-04.txt

From: Michael Koster <[email-masked]>
Date: Mon, 26 Oct 2015 20:29:18 +0000

Hi,

This version is substantially updated from the earlier version, to focus
on the interface definitions that make up the bulk of the document.

There is a new Hypermedia Collection type that enables resources to be
organized in many different ways using RFC6690 web linking and link
embedding. This collection type extends the functionality of the link
list, batch, and linked batch collection types, and adds resource
grouping, dynamic creation of items, and link patching.

Some outstanding tickets are resolved, and some things are clarified and
updated.

Please review and comment.

Best regards,

Michael

On 10/19/15, 4:06 PM, "[email-masked]"
<[email-masked]> wrote:

>
>A new version of I-D, draft-ietf-core-interfaces-04.txt
>has been successfully submitted by Michael Koster and posted to the
>IETF repository.
>
>Name:          draft-ietf-core-interfaces
>Revision:      04
>Title:         Reusable Interface Definitions for Constrained RESTful
>Environments
>Document date: 2015-10-19
>Group:         core
>Pages:         36
>URL:
>https://www.ietf.org/internet-drafts/draft-ietf-core-interfaces-04.txt
>Status:
>https://datatracker.ietf.org/doc/draft-ietf-core-interfaces/
>Htmlized:       https://tools.ietf.org/html/draft-ietf-core-interfaces-04
>Diff:
>https://www.ietf.org/rfcdiff?url2=draft-ietf-core-interfaces-04
>
>Abstract:
>   This document defines a set of reusable REST resource design patterns
>   suitable for use in constrained environments, based on IETF CoRE
>   standards for information representation and information exchange.
>
>   Interface types for Sensors, Actuators, Parameters, and resource
>   Collections are defined using the "if" link attribute defined by CoRE
>   Link Format [RFC6690].  Clients may use the "if" attribute to
>   determine how to consume resources.
>
>   Dynamic linking of state updates between resources, either on an
>   endpoint or between endpoints, is defined with the concept of Link
>   Bindings.  We also define conditional observation attributes that
>   work with Link Bindings or with simple CoAP Observe [RFC7641].
>
>
>
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>

________________________________

-- IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.